{config, ...}: {
  imports = [
    ./hardware-configuration.nix
    ../../roles
    ../../roles/hardware.nix
    ./network.nix
    ../../modules/borgbackup.nix
  ];

  services.mathebau-borgbackup.enable = true;

  # System configuration here
  networking.hostName = "bragi";
  system.stateVersion = "23.11";

  sops.secrets.backupKey = {
    sopsFile = ./backupKey.yaml;
    owner = config.users.users.fsaccount.name;
    inherit (config.users.users.fsaccount) group;
    mode = "0400";
  };
}
