{lib, ...}: {
  fileSystems."/" = {
    device = "root";
    fsType = "tmpfs";
    options = ["size=2G" "mode=755"];
  };
  fileSystems."/persist" = {
    device = "/dev/disk/by-label/nixos";
    fsType = "btrfs";
    options = ["subvol=persist"];
    neededForBoot = true;
  };
  fileSystems."/boot" = {
    device = "/dev/disk/by-label/boot";
    fsType = "ext4";
  };
  fileSystems."/nix" = {
    device = "/dev/disk/by-label/nixos";
    fsType = "btrfs";
    options = ["subvol=nix"];
  };
  fileSystems."/var/lib/backups" = {
    device = "/dev/disk/by-label/backups";
    fsType = "btrfs";
  };

  swapDevices = [{device = "/dev/disk/by-label/swap";}];

  boot.loader.grub.device = "/dev/disk/by-id/wwn-0x5000c5003891662c";

  nixpkgs.hostPlatform = lib.mkDefault "x86_64-linux";
}
